Package org.apache.sling.models.factory

# Class InvalidModelException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.models.factory.InvalidModelException

All Implemented Interfaces:
  `Serializable`

@ProviderType public class InvalidModelException extends RuntimeException
Thrown in case the given model type could not be validated through the model validation. The actual validation error message is encapsulated

See Also:
  - `ModelFactory`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidModelException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidModelException

public InvalidModelException(String message)